summaryrefslogtreecommitdiffstats
path: root/bin/checkMissingmp3
diff options
context:
space:
mode:
Diffstat (limited to 'bin/checkMissingmp3')
-rwxr-xr-xbin/checkMissingmp39
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/checkMissingmp3 b/bin/checkMissingmp3
new file mode 100755
index 0000000..d7722d2
--- /dev/null
+++ b/bin/checkMissingmp3
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+uri=$1
+musicDir=${musicDir-./}
+id=$(echo "$uri" | sed -n 's@^https\?://www\.youtube\.com/watch?v=@@p' | sed 's/#.*$//')
+
+if ! file=$(find $musicDir | grep -q "[-]$id\\.mp3\$"); then
+ echo $uri
+fi